/* general stuff */

body{
    background-color: #312e2b;
    font-family: garamond;
    margin-top: 0px;
}

.title{
    color: #ccc;
    margin: 20px auto 0px auto;
    font-weight: bold;
    font-size: 30px;
    line-height: 100%;
    text-align: left;
    -webkit-user-select: none; /* Safari */        
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE10+/Edge */
    user-select: none; /* Standard */
}

h1, h2, p{
    color: #ccc;
}
p{
    font-size: 20px;
    color: #312e2b;
}
article{
    width: 90%;
    margin: auto;
}

.row {
    display: flex;
    min-height: 150vh;
    margin-top: 30px;
}
.column {
    float: left;
    padding: 10px;
}
.left{
    width:75%;
}
.right{
    width:25%;
    padding-right: 0px;
}

label{
    font-size:20px;
}

.sticky{
    position: sticky;
    top: 0px;
}

.notesSection{
    width: 95%;
    display: block;
    padding: 10px;
    margin-top: 5px;
}

button{
    font-family : inherit;
    background-color: #191919;
    color: #ccc;
    padding: 10px;
    text-align: center;
    text-decoration: none;
    display: block;
    font-size: 18px;
    cursor: pointer;
    border: 1px solid #ccc;
    border-radius: 5px;
    width: 80%;
    text-align: center;
    margin: auto;
}
#options button {
    width: 45%;
    display: inline-block;
    padding: 10px 7.5px;
    font-size: 16px;
    margin: 7.5px auto;
}

.button1:hover{
 background-color: #bf3b43;
 color: white;
}
.button2:hover{
    background-color: #f1850e;
    color: black;
}
.button3:hover{
    background-color: #dbc520;
    color: black;
}
.button4:hover{
    background-color: limegreen;
    color: black;
}
.button5:hover{
    background-color: #0000ff;
    color: white;
}
.button6:hover{
    background-color: #c24df4;
    color: white;
}

.container {
    padding: 16px;
    text-align: center;
  }


button.logIn {
    font-family : inherit;
    text-align: center;
    text-decoration: none;
    display: block;
    font-size: 18px;
    cursor: pointer;
    border-radius: 5px;
    background-color: #04AA6D;
    color: white;
    padding: 14px;
    border: none;
    cursor: pointer;
    width: 40%;
    margin-top:0px;
    margin-bottom: 20px;
    display: inline-block;
    font-weight: bold;
  }
  button.logIn:hover {
    opacity: 0.8;
  }
/* navigation menu */
.topnav {
    background-color: transparent;
    overflow: hidden;
    top: 0;
}
.topnav a {
    float: left;
    display: block;
    color: #f2f2f2;
    text-align: center;
    padding: 5px;
    text-decoration: none;
    font-size: 17px;
}
.topnav a img {
    cursor: pointer;
    height: 45px;
    padding: 10px;
    padding-bottom: 0px;
}

/* menu style */
.menuContainer{
    width: 100%;
}

.menu{
    width: 100%;
    background-color: whitesmoke;
    border-bottom: 1px #312e2b solid;
    margin-bottom: 0px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    -webkit-user-select: none;  /* Chrome all / Safari all */
    -moz-user-select: none;     /* Firefox all */
    -ms-user-select: none;      /* IE 10+ */
    user-select: none;
}

.menuHeaderContainer{
    background-color: #ccc;
}

.menuHeaderContainer:hover{
    background-color: whitesmoke;
    cursor: pointer;
}

.menuHeader{
    font-size: 22px;
    width: 90%;
    padding: 5px;
}

.menuTable{
    width: 100%;
    display: none;
}

.showMenuButton {
    display:none; background-color:#ccc; color:black; width:25%; float:right;
}
/* ********************************** */

input.bigBox {
    transform: scale(1.25);
}

.settingsBox{
    margin-bottom: 20px;
    transform: scale(1.25);
    margin-left: 15px;
}

/* board asthetics */
#board {
    width: 100vh;
    height: 100vh;
    margin: 0.5em;
    text-align: center;
    margin: auto;
    background-color: #312e2b;
    user-select: none;
}

#board div {
    float: left;
    width: 4.16vh;
    height: 4.16vh;
}

.notTile{
    pointer-events: none;
}
#a1{
    visibility: hidden;
}

.coordinateHover{
    pointer-events: none;
    font-weight: bold;
    line-height: 4.16vh;
    fill: #312e2b;
    font-size: 18px;
    opacity: 0.5;
}

/* these are the promotion lines */
/* for standard */
.horizontalLine  {
    box-sizing:border-box;
    border-top: 1px solid #5a5755;
}
.verticalLine {
    box-sizing:border-box;
    border-left: 1px solid #5a5755;
}

/* for mini */
.bottomRightRadius {
    border-bottom-right-radius:15%;
}
.topRightRadius {
    border-top-right-radius:15%;
}
.topLeftRadius {
    border-top-left-radius:15%;
}
.bottomLeftRadius {
    border-bottom-left-radius:15%;
}
/*  */

/* dragging and moving style */
.ui-draggable{
    cursor: move;
}

#board div.ui-draggable-dragging {
    border: none;
    background-color: transparent;
}

.hide {
    transition: 0.01s;
    visibility: hidden;
}

/* piece menu */

hr{
    height:8px;border-width:0;color:#312e2b;background-color:#312e2b;width:100%;
}
.pieceMenu {
    margin: 5px auto 10px auto;
    width: 32vh;
    left: 0;
    background-color: whitesmoke;
    max-height: 200px;
    overflow-y: scroll;
    border: none;
}

.border{
    background-color: cyan !important;
    box-sizing:border-box !important;
    border: 1px solid cyan !important;
}

.menu_item_div{
    width: 4.16vh;
    height: 4.16vh;
    display: inline-block;
    
}

.menu_item_div img{
    background-color: transparent;
    box-shadow: none;
    border: none;
}

.pieceMenuInstructions{
    cursor: help;
}

/* camera */
.camera {
    position: fixed;
    padding: 10px;
    bottom: 0;
    left: 0;
    width: 80px;
}

/* for checkmate menu */
.dropdown-check-list {
    display: inline-block;
    width: 75%;
    font-size: 18px;
}
  
  .dropdown-check-list ul.items {
    padding: 2px;
    display: block;
    margin: 10px 5px;
    border: 1px solid black;
    text-align: left;
    cursor: pointer;
    color: black;
    background-color: white;
  }
  
  .dropdown-check-list ul.items li {
    list-style: none;
    padding: 5px;
  }
  .dropdown-check-list ul.items li:hover {
    background-color: whitesmoke;
  }

  /* mobile optimize */
@media screen and (max-width: 600px) {

    body{
        margin: 4px;
    }

    p{
        width: 90%;
        margin: auto;
    }
    .row {
        display: inline-block;
    }
    .column {
        float: '';
        padding: 0px;
    }
    .left{
        width:100%;
        margin-top: 33%;
        margin-bottom: 15%;
    }
    .right{
        width:100%;
    }

    .capturedContainer{
        margin-top: 0px;
    }

    #board {
        width: 100vw;
        height: 100vw;
        padding: 0;
    }

    #board div {
        width: 4.1vw;
        height: 4.1vw;
    }
    
    .coordinateHover{
        line-height: 4.1vw;
        font-size: 3.1vw;
    }

    .menu_item_div{
        width: 4.1vw;
        height: 4.1vw;
    }
    
    .capturedContainer{
        width: 95vw;
        margin: auto;
    }

    .capturedByPlayer{
        display: block;
        margin: auto;
        width: 100%;
        margin-bottom: 10px;
        min-height: 75px;
    }

    .captured_div{
        width: 4.1vw;
        height: 4.1vw;
    }

    .pieceMenu{
        margin: auto;
        margin-top: 5px;
    }

    .camera {
        position: '';
    }
}